import React from "react";
import { VerificationRequest } from "matrix-js-sdk/src/crypto-api";
import { Device } from "matrix-js-sdk/src/matrix";
interface IProps {
    toastKey: string;
    request: VerificationRequest;
}
interface IState {
    /** number of seconds left in the timeout counter. Zero if there is no timeout. */
    counter: number;
    device?: Device;
    ip?: string;
}
export default class VerificationRequestToast extends React.PureComponent<IProps, IState> {
    private intervalHandle?;
    constructor(props: IProps);
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    private checkRequestIsPending;
    cancel: () => void;
    accept: () => Promise<void>;
    render(): React.ReactNode;
}
export {};
